{ lib, config, pkgs, ... }:
with lib;
let
  cfg = config.modules.cli.utils;
in
{
  options.modules.cli.utils = {
    enable = mkEnableOption "Install cli utils";
  };
  config = mkIf cfg.enable {

    programs.bat = {
      enable = true;
      config = {
        theme = "base16";
      };
    };
    programs.eza = {
      enable = true;
      icons = "auto";
    };
    programs.fd = {
      enable = true;

    };
    programs.fzf = {
      enable = true;
    };
    programs.ripgrep = {
      enable = true;
    };

    home = {
      sessionVariables = {
        EXA_COLORS = "xx=2";
      };
      shellAliases = {
        cat = "bat";
      };
    };
  };
}
